program TLJView;

{$IFDEF DEBUG}
{$APPTYPE CONSOLE}
{$ENDIF}

uses
  Forms,
  Main in 'forms\Main.pas' {MainForm},
  SplWait in 'forms\SplWait.pas' {SplashWaitForm},
  Animation in 'backend\Animation.pas',
  Audiere in 'backend\Audiere.pas',
  Sound in 'backend\Sound.pas',
  ANI in 'convert\ANI.pas',
  BBB in 'convert\BBB.pas',
  BIFF in 'convert\BIFF.pas',
  CIR in 'convert\CIR.pas',
  ISN in 'convert\ISN.pas',
  OVS in 'convert\OVS.pas',
  Raw in 'convert\Raw.pas',
  SSS in 'convert\SSS.pas',
  TM in 'convert\TM.pas',
  XMG in 'convert\XMG.pas',
  XRC in 'convert\XRC.pas',
  TLJ_FS in 'fs\TLJ_FS.pas',
  XARC_FS in 'fs\XARC_FS.pas',
  XRC_FS in 'fs\XRC_FS.pas',
  ConvHndl in 'handle\ConvHndl.pas',
  ExpHndl in 'handle\ExpHndl.pas',
  HndlType in 'handle\HndlType.pas',
  Options in 'options\Options.pas',
  ShlHndl in 'options\ShlHndl.pas',
  QSort in 'utils\QSort.pas',
  SaveTGA in 'utils\SaveTGA.pas',
  Windows,
  Dialogs;

{$R *.res}

{$R '..\res\version.res' '..\res\version.rc'}

var
  RunCheck: Longword;

begin
  Application.Initialize;
  Application.Title := 'TLJView';

  RunCheck := CreateSemaphore(nil, 0, 1,
    '{DBCB0DA5-5D6B-405B-81E4-DDAD16E427DF}');
  if ((RunCheck <> 0) and (GetLastError = ERROR_ALREADY_EXISTS)) then
  begin
    CloseHandle(RunCheck);
    MessageDlg('Another TLJView instance is already running.', mtError, [mbOK],
      0);
    Application.ShowMainForm := False;
    Application.Terminate
  end;

  Application.CreateForm(TMainForm, MainForm);
  Application.CreateForm(TSplashWaitForm, SplashWaitForm);
  Application.Run
end.
